import { jsx } from "react/jsx-runtime";
import { TokenHZN as TokenHZN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHZN = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "HZN", "data-name": "TokenHZN", ...props, children: /* @__PURE__ */ jsx(TokenHZN$1, { variant }) });
  }
);
TokenHZN.displayName = "TokenHZN";
Object.assign(TokenHZN, { isGdsIcon: true });
export {
  TokenHZN
};
